Commits

Christoph Rissner  committed 561434a

current udlfb setup

  • Participants
  • Parent commits 3152f89

Comments (0)

Files changed (19)

File libxinerama/LICENSE

-/*****************************************************************
-Copyright (c) 1991, 1997 Digital Equipment Corporation, Maynard, Massachusetts.
-Permission is hereby granted, free of charge, to any person obtaining a copy
-of this software and associated documentation files (the "Software"), to deal
-in the Software without restriction, including without limitation the rights
-to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
-copies of the Software.
-
-The above copyright notice and this permission notice shall be included in
-all copies or substantial portions of the Software.
-
-THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
-IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
-FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL
-DIGITAL EQUIPMENT CORPORATION BE LIABLE FOR ANY CLAIM, DAMAGES, INCLUDING,
-BUT NOT LIMITED TO CONSEQUENTIAL OR INCIDENTAL DAMAGES, OR OTHER LIABILITY,
-WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR
-IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
-
-Except as contained in this notice, the name of Digital Equipment Corporation
-shall not be used in advertising or otherwise to promote the sale, use or other
-dealings in this Software without prior written authorization from Digital
-Equipment Corporation.
-******************************************************************/

File libxinerama/PKGBUILD

-# $Id: PKGBUILD 54591 2009-10-11 11:11:00Z andyrtr $
-# Maintainer: Jan de Groot <jgc@archlinux.org>
-# Contributor: Alexander Baldeck <alexander@archlinux.org>
-pkgname=libxinerama
-pkgver=1.1
-pkgrel=1
-pkgdesc="X11 Xinerama extension library"
-arch=(i686 x86_64)
-url="http://xorg.freedesktop.org/"
-license=('custom')
-depends=('libxext>=1.1' 'xineramaproto>=1.2')
-makedepends=('pkgconfig')
-options=(!libtool)
-source=(${url}/releases/individual/lib/libXinerama-${pkgver}.tar.bz2
-        LICENSE
-        fake-xinerama.hardcoded.patch)
-md5sums=('a2ac01fc0426cdbb713c5d59cf9955ed'
-         '098e0bc089368a988092b3cbda617a57'
-         '96f8a9f375df6ec473d66ce0f0187056')
-
-build() {
-  cd "${srcdir}/libXinerama-${pkgver}"
-  patch -p1 < ../fake-xinerama.hardcoded.patch
-  ./configure --prefix=/usr || return 1
-  make || return 1
-  make DESTDIR="${pkgdir}" install || return 1
-  install -m755 -d "${pkgdir}/usr/share/licenses/${pkgname}"
-  install -m644 "${srcdir}/LICENSE" "${pkgdir}/usr/share/licenses/${pkgname}/" || return 1
-}

File libxinerama/fake-xinerama.hardcoded.patch

---- a/src/Xinerama.c	2008-02-25 02:29:54.000000000 +0100
-+++ b/src/Xinerama.c	2009-09-01 10:21:29.942561084 +0200
-@@ -267,6 +267,29 @@
-     return rep.state;
- }
- 
-+int parseFXI(XineramaScreenInfo *pXSI)
-+{
-+    if (pXSI)
-+    {
-+        pXSI[0].screen_number = 0;
-+        pXSI[0].x_org = 0;
-+        pXSI[0].y_org = 0;
-+        pXSI[0].width = 1280;
-+        pXSI[0].height = 1024;
-+        pXSI[1].screen_number = 1;
-+        pXSI[1].x_org = 1280;
-+        pXSI[1].y_org = 0;
-+        pXSI[1].width = 1280;
-+        pXSI[1].height = 1024;
-+        pXSI[2].screen_number = 2;
-+        pXSI[2].x_org = 2560;
-+        pXSI[2].y_org = 0;
-+        pXSI[2].width = 1280;
-+        pXSI[2].height = 1024;
-+    }
-+    return 3;
-+}
-+
- XineramaScreenInfo * 
- XineramaQueryScreens(
-    Display *dpy,
-@@ -280,6 +303,17 @@
- 
-     PanoramiXCheckExtension (dpy, info, NULL);
- 
-+    *number = parseFXI(NULL);
-+    if (*number > 0)
-+    {
-+        if((scrnInfo = Xmalloc(sizeof(XineramaScreenInfo) * *number))) 
-+        {
-+            parseFXI(scrnInfo);
-+            return scrnInfo;
-+        }
-+    }
-+
-+
-     LockDisplay (dpy);
-     GetReq (XineramaQueryScreens, req);
-     req->reqType = info->codes->major_opcode;

File udlfb-git/PKGBUILD

-pkgname=udlfb-git
-pkgver=20100909
-pkgrel=1
-pkgdesc="kernel driver for DisplayLink USB graphics devices (git version)"
-arch=(i686 x86_64)
-url="http://libdlo.freedesktop.org/wiki/xf86-driver-displaylink"
-license=('GPL2')
-depends=()
-conflicts=()
-provides=('udlfb')
-options=(!distcc)
-source=(hardcoded_edid.patch)
-md5sums=('c12b6f71e31309a19bc98366a5185da5')
-
-_gitroot="http://git.plugable.com/webdav/udlfb"
-_gitname="udlfb"
-
-build() {
-
-  cd "$srcdir"
-  msg "Connecting to GIT server...."
-
-  if [ -d $_gitname ] ; then
-    cd $_gitname && git pull origin
-    msg "The local files are updated."
-  else
-    git clone $_gitroot
-    cd $srcdir/$_gitname
-    git pull
-  fi
-
-  msg "GIT checkout done or server timeout"
-  msg "Starting make..."
-
-  rm -rf "$srcdir/$_gitname-build"
-  git clone "$srcdir/$_gitname" "$srcdir/$_gitname-build"
-  cd "$srcdir/$_gitname-build"
-
-  cd $srcdir/$_gitname-build
-  git reset --hard
-  #patch -p1 < $srcdir/hardcoded_edid.patch || return 1
-  make || return 1
-  #make DESTDIR=$pkgdir install || return 1
-
-  MPATH=$pkgdir/lib/modules/`uname -r`
-  #MPATH=$pkgdir/lib/modules/2.6.32-defio-hg9a790013af54
-  install -D udlfb.ko $MPATH/kernel/drivers/staging/udlfb/udlfb.ko
-}

File udlfb-git/hardcoded_edid.patch

-diff --git a/udlfb.c b/udlfb.c
-index 89dfd91..cdf34cc 100644
---- a/udlfb.c
-+++ b/udlfb.c
-@@ -713,9 +713,145 @@ static void dlfb_ops_fillrect(struct fb_info *info,
- 
- }
- 
-+unsigned char syncmaster_940t_edid[] = {
-+0x00, /*i = 0*/ 
-+0xff, /*i = 1*/ 
-+0xff, /*i = 2*/ 
-+0xff, /*i = 3*/ 
-+0xff, /*i = 4*/ 
-+0xff, /*i = 5*/ 
-+0xff, /*i = 6*/ 
-+0x00, /*i = 7*/ 
-+0x4c, /*i = 8*/ 
-+0x2d, /*i = 9*/ 
-+0xba, /*i = 10*/ 
-+0x01, /*i = 11*/ 
-+0x39, /*i = 12*/ 
-+0x31, /*i = 13*/ 
-+0x41, /*i = 14*/ 
-+0x48, /*i = 15*/ 
-+0x22, /*i = 16*/ 
-+0x10, /*i = 17*/ 
-+0x01, /*i = 18*/ 
-+0x03, /*i = 19*/ 
-+0x0e, /*i = 20*/ 
-+0x26, /*i = 21*/ 
-+0x1e, /*i = 22*/ 
-+0x78, /*i = 23*/ 
-+0x2a, /*i = 24*/ 
-+0xde, /*i = 25*/ 
-+0x95, /*i = 26*/ 
-+0xa3, /*i = 27*/ 
-+0x54, /*i = 28*/ 
-+0x4c, /*i = 29*/ 
-+0x99, /*i = 30*/ 
-+0x26, /*i = 31*/ 
-+0x0f, /*i = 32*/ 
-+0x50, /*i = 33*/ 
-+0x54, /*i = 34*/ 
-+0xbf, /*i = 35*/ 
-+0xef, /*i = 36*/ 
-+0x80, /*i = 37*/ 
-+0x81, /*i = 38*/ 
-+0x80, /*i = 39*/ 
-+0x81, /*i = 40*/ 
-+0x40, /*i = 41*/ 
-+0x71, /*i = 42*/ 
-+0x4f, /*i = 43*/ 
-+0x01, /*i = 44*/ 
-+0x01, /*i = 45*/ 
-+0x01, /*i = 46*/ 
-+0x01, /*i = 47*/ 
-+0x01, /*i = 48*/ 
-+0x01, /*i = 49*/ 
-+0x01, /*i = 50*/ 
-+0x01, /*i = 51*/ 
-+0x01, /*i = 52*/ 
-+0x01, /*i = 53*/ 
-+0x30, /*i = 54*/ 
-+0x2a, /*i = 55*/ 
-+0x00, /*i = 56*/ 
-+0x98, /*i = 57*/ 
-+0x51, /*i = 58*/ 
-+0x00, /*i = 59*/ 
-+0x2a, /*i = 60*/ 
-+0x40, /*i = 61*/ 
-+0x30, /*i = 62*/ 
-+0x70, /*i = 63*/ 
-+0x13, /*i = 64*/ 
-+0x00, /*i = 65*/ 
-+0x78, /*i = 66*/ 
-+0x2d, /*i = 67*/ 
-+0x11, /*i = 68*/ 
-+0x00, /*i = 69*/ 
-+0x00, /*i = 70*/ 
-+0x1e, /*i = 71*/ 
-+0x00, /*i = 72*/ 
-+0x00, /*i = 73*/ 
-+0x00, /*i = 74*/ 
-+0xfd, /*i = 75*/ 
-+0x00, /*i = 76*/ 
-+0x38, /*i = 77*/ 
-+0x4b, /*i = 78*/ 
-+0x1e, /*i = 79*/ 
-+0x51, /*i = 80*/ 
-+0x0e, /*i = 81*/ 
-+0x00, /*i = 82*/ 
-+0x0a, /*i = 83*/ 
-+0x20, /*i = 84*/ 
-+0x20, /*i = 85*/ 
-+0x20, /*i = 86*/ 
-+0x20, /*i = 87*/ 
-+0x20, /*i = 88*/ 
-+0x20, /*i = 89*/ 
-+0x00, /*i = 90*/ 
-+0x00, /*i = 91*/ 
-+0x00, /*i = 92*/ 
-+0xfc, /*i = 93*/ 
-+0x00, /*i = 94*/ 
-+0x53, /*i = 95*/ 
-+0x79, /*i = 96*/ 
-+0x6e, /*i = 97*/ 
-+0x63, /*i = 98*/ 
-+0x4d, /*i = 99*/ 
-+0x61, /*i = 100*/ 
-+0x73, /*i = 101*/ 
-+0x74, /*i = 102*/ 
-+0x65, /*i = 103*/ 
-+0x72, /*i = 104*/ 
-+0x0a, /*i = 105*/ 
-+0x20, /*i = 106*/ 
-+0x20, /*i = 107*/ 
-+0x00, /*i = 108*/ 
-+0x00, /*i = 109*/ 
-+0x00, /*i = 110*/ 
-+0xff, /*i = 111*/ 
-+0x00, /*i = 112*/ 
-+0x48, /*i = 113*/ 
-+0x53, /*i = 114*/ 
-+0x48, /*i = 115*/ 
-+0x4c, /*i = 116*/ 
-+0x38, /*i = 117*/ 
-+0x31, /*i = 118*/ 
-+0x36, /*i = 119*/ 
-+0x35, /*i = 120*/ 
-+0x30, /*i = 121*/ 
-+0x38, /*i = 122*/ 
-+0x0a, /*i = 123*/ 
-+0x20, /*i = 124*/ 
-+0x20, /*i = 125*/ 
-+0x00, /*i = 126*/ 
-+0xd5, /*i = 127*/ 
-+};
-+
- static int dlfb_get_edid(struct dlfb_data *dev, char *edid, int len)
- {
- 	int i;
-+	for (i = 0; i < len; i++)
-+	{
-+		edid[i] = syncmaster_940t_edid[i];
-+	}
-+/*
- 	int ret;
- 	char *rbuf;
- 
-@@ -737,7 +873,7 @@ static int dlfb_get_edid(struct dlfb_data *dev, char *edid, int len)
- 	}
- 
- 	kfree(rbuf);
--
-+*/
- 	return i;
- }
- 

File udlfb/libxinerama/LICENSE

+/*****************************************************************
+Copyright (c) 1991, 1997 Digital Equipment Corporation, Maynard, Massachusetts.
+Permission is hereby granted, free of charge, to any person obtaining a copy
+of this software and associated documentation files (the "Software"), to deal
+in the Software without restriction, including without limitation the rights
+to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
+copies of the Software.
+
+The above copyright notice and this permission notice shall be included in
+all copies or substantial portions of the Software.
+
+THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
+FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL
+DIGITAL EQUIPMENT CORPORATION BE LIABLE FOR ANY CLAIM, DAMAGES, INCLUDING,
+BUT NOT LIMITED TO CONSEQUENTIAL OR INCIDENTAL DAMAGES, OR OTHER LIABILITY,
+WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR
+IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
+
+Except as contained in this notice, the name of Digital Equipment Corporation
+shall not be used in advertising or otherwise to promote the sale, use or other
+dealings in this Software without prior written authorization from Digital
+Equipment Corporation.
+******************************************************************/

File udlfb/libxinerama/PKGBUILD

+# $Id: PKGBUILD 54591 2009-10-11 11:11:00Z andyrtr $
+# Maintainer: Jan de Groot <jgc@archlinux.org>
+# Contributor: Alexander Baldeck <alexander@archlinux.org>
+pkgname=libxinerama
+pkgver=1.1
+pkgrel=1
+pkgdesc="X11 Xinerama extension library"
+arch=(i686 x86_64)
+url="http://xorg.freedesktop.org/"
+license=('custom')
+depends=('libxext>=1.1' 'xineramaproto>=1.2')
+makedepends=('pkgconfig')
+options=(!libtool)
+source=(${url}/releases/individual/lib/libXinerama-${pkgver}.tar.bz2
+        LICENSE
+        fake-xinerama.hardcoded.patch)
+md5sums=('a2ac01fc0426cdbb713c5d59cf9955ed'
+         '098e0bc089368a988092b3cbda617a57'
+         '96f8a9f375df6ec473d66ce0f0187056')
+
+build() {
+  cd "${srcdir}/libXinerama-${pkgver}"
+  patch -p1 < ../fake-xinerama.hardcoded.patch || return 1
+  ./configure --prefix=/usr || return 1
+  make || return 1
+  make DESTDIR="${pkgdir}" install || return 1
+  install -m755 -d "${pkgdir}/usr/share/licenses/${pkgname}"
+  install -m644 "${srcdir}/LICENSE" "${pkgdir}/usr/share/licenses/${pkgname}/" || return 1
+}

File udlfb/libxinerama/fake-xinerama.hardcoded.patch

+--- a/src/Xinerama.c	2008-02-25 02:29:54.000000000 +0100
++++ b/src/Xinerama.c	2009-09-01 10:21:29.942561084 +0200
+@@ -267,6 +267,29 @@
+     return rep.state;
+ }
+ 
++int parseFXI(XineramaScreenInfo *pXSI)
++{
++    if (pXSI)
++    {
++        pXSI[0].screen_number = 0;
++        pXSI[0].x_org = 0;
++        pXSI[0].y_org = 0;
++        pXSI[0].width = 1280;
++        pXSI[0].height = 1024;
++        pXSI[1].screen_number = 1;
++        pXSI[1].x_org = 1280;
++        pXSI[1].y_org = 0;
++        pXSI[1].width = 1280;
++        pXSI[1].height = 1024;
++        pXSI[2].screen_number = 2;
++        pXSI[2].x_org = 2560;
++        pXSI[2].y_org = 0;
++        pXSI[2].width = 1280;
++        pXSI[2].height = 1024;
++    }
++    return 3;
++}
++
+ XineramaScreenInfo * 
+ XineramaQueryScreens(
+    Display *dpy,
+@@ -280,6 +303,17 @@
+ 
+     PanoramiXCheckExtension (dpy, info, NULL);
+ 
++    *number = parseFXI(NULL);
++    if (*number > 0)
++    {
++        if((scrnInfo = Xmalloc(sizeof(XineramaScreenInfo) * *number))) 
++        {
++            parseFXI(scrnInfo);
++            return scrnInfo;
++        }
++    }
++
++
+     LockDisplay (dpy);
+     GetReq (XineramaQueryScreens, req);
+     req->reqType = info->codes->major_opcode;

File udlfb/udlfb-git/PKGBUILD

+pkgname=udlfb-git
+pkgver=20110114
+pkgrel=1
+pkgdesc="kernel driver for DisplayLink USB graphics devices (git version)"
+arch=(i686 x86_64)
+url="http://libdlo.freedesktop.org/wiki/xf86-driver-displaylink"
+license=('GPL2')
+depends=()
+conflicts=()
+provides=('udlfb')
+options=(!distcc)
+source=(hardcoded_edid.patch)
+md5sums=('c12b6f71e31309a19bc98366a5185da5')
+
+_gitroot="http://git.plugable.com/webdav/udlfb"
+_gitname="udlfb"
+
+build() {
+
+  cd "$srcdir"
+  msg "Connecting to GIT server...."
+
+  if [ -d $_gitname ] ; then
+    cd $_gitname && git pull origin
+    msg "The local files are updated."
+  else
+    git clone $_gitroot
+    cd $srcdir/$_gitname
+    git pull
+  fi
+
+  msg "GIT checkout done or server timeout"
+  msg "Starting make..."
+
+  #rm -rf "$srcdir/$_gitname-build"
+  #git clone "$srcdir/$_gitname" "$srcdir/$_gitname-build"
+  #cd "$srcdir/$_gitname-build"
+
+  #cd $srcdir/$_gitname-build
+  #git reset --hard
+  ##patch -p1 < $srcdir/hardcoded_edid.patch || return 1
+  make || return 1
+  #make DESTDIR=$pkgdir install || return 1
+
+  MPATH=$pkgdir/lib/modules/`uname -r`
+  #MPATH=$pkgdir/lib/modules/2.6.32-defio-hg9a790013af54
+  install -D udlfb.ko $MPATH/kernel/drivers/staging/udlfb/udlfb.ko
+}

File udlfb/udlfb-git/dlfb_handle_damage_log.patch

+diff --git a/udlfb.c b/udlfb.c
+index 59a1925..73e928a 100644
+--- a/udlfb.c
++++ b/udlfb.c
+@@ -574,6 +574,8 @@ int dlfb_handle_damage(struct dlfb_data *dev, int x, int y,
+ 	struct urb *urb;
+ 	int aligned_x;
+ 
++	dl_notice("dlfb_handle_damage x=%d y=%d w=%d h=%d\n",
++			x, y, width, height);
+ 	start_cycles = get_cycles();
+ 
+ 	aligned_x = DL_ALIGN_DOWN(x, sizeof(unsigned long));

File udlfb/udlfb-git/hardcoded_edid.patch

+diff --git a/udlfb.c b/udlfb.c
+index 89dfd91..cdf34cc 100644
+--- a/udlfb.c
++++ b/udlfb.c
+@@ -713,9 +713,145 @@ static void dlfb_ops_fillrect(struct fb_info *info,
+ 
+ }
+ 
++unsigned char syncmaster_940t_edid[] = {
++0x00, /*i = 0*/ 
++0xff, /*i = 1*/ 
++0xff, /*i = 2*/ 
++0xff, /*i = 3*/ 
++0xff, /*i = 4*/ 
++0xff, /*i = 5*/ 
++0xff, /*i = 6*/ 
++0x00, /*i = 7*/ 
++0x4c, /*i = 8*/ 
++0x2d, /*i = 9*/ 
++0xba, /*i = 10*/ 
++0x01, /*i = 11*/ 
++0x39, /*i = 12*/ 
++0x31, /*i = 13*/ 
++0x41, /*i = 14*/ 
++0x48, /*i = 15*/ 
++0x22, /*i = 16*/ 
++0x10, /*i = 17*/ 
++0x01, /*i = 18*/ 
++0x03, /*i = 19*/ 
++0x0e, /*i = 20*/ 
++0x26, /*i = 21*/ 
++0x1e, /*i = 22*/ 
++0x78, /*i = 23*/ 
++0x2a, /*i = 24*/ 
++0xde, /*i = 25*/ 
++0x95, /*i = 26*/ 
++0xa3, /*i = 27*/ 
++0x54, /*i = 28*/ 
++0x4c, /*i = 29*/ 
++0x99, /*i = 30*/ 
++0x26, /*i = 31*/ 
++0x0f, /*i = 32*/ 
++0x50, /*i = 33*/ 
++0x54, /*i = 34*/ 
++0xbf, /*i = 35*/ 
++0xef, /*i = 36*/ 
++0x80, /*i = 37*/ 
++0x81, /*i = 38*/ 
++0x80, /*i = 39*/ 
++0x81, /*i = 40*/ 
++0x40, /*i = 41*/ 
++0x71, /*i = 42*/ 
++0x4f, /*i = 43*/ 
++0x01, /*i = 44*/ 
++0x01, /*i = 45*/ 
++0x01, /*i = 46*/ 
++0x01, /*i = 47*/ 
++0x01, /*i = 48*/ 
++0x01, /*i = 49*/ 
++0x01, /*i = 50*/ 
++0x01, /*i = 51*/ 
++0x01, /*i = 52*/ 
++0x01, /*i = 53*/ 
++0x30, /*i = 54*/ 
++0x2a, /*i = 55*/ 
++0x00, /*i = 56*/ 
++0x98, /*i = 57*/ 
++0x51, /*i = 58*/ 
++0x00, /*i = 59*/ 
++0x2a, /*i = 60*/ 
++0x40, /*i = 61*/ 
++0x30, /*i = 62*/ 
++0x70, /*i = 63*/ 
++0x13, /*i = 64*/ 
++0x00, /*i = 65*/ 
++0x78, /*i = 66*/ 
++0x2d, /*i = 67*/ 
++0x11, /*i = 68*/ 
++0x00, /*i = 69*/ 
++0x00, /*i = 70*/ 
++0x1e, /*i = 71*/ 
++0x00, /*i = 72*/ 
++0x00, /*i = 73*/ 
++0x00, /*i = 74*/ 
++0xfd, /*i = 75*/ 
++0x00, /*i = 76*/ 
++0x38, /*i = 77*/ 
++0x4b, /*i = 78*/ 
++0x1e, /*i = 79*/ 
++0x51, /*i = 80*/ 
++0x0e, /*i = 81*/ 
++0x00, /*i = 82*/ 
++0x0a, /*i = 83*/ 
++0x20, /*i = 84*/ 
++0x20, /*i = 85*/ 
++0x20, /*i = 86*/ 
++0x20, /*i = 87*/ 
++0x20, /*i = 88*/ 
++0x20, /*i = 89*/ 
++0x00, /*i = 90*/ 
++0x00, /*i = 91*/ 
++0x00, /*i = 92*/ 
++0xfc, /*i = 93*/ 
++0x00, /*i = 94*/ 
++0x53, /*i = 95*/ 
++0x79, /*i = 96*/ 
++0x6e, /*i = 97*/ 
++0x63, /*i = 98*/ 
++0x4d, /*i = 99*/ 
++0x61, /*i = 100*/ 
++0x73, /*i = 101*/ 
++0x74, /*i = 102*/ 
++0x65, /*i = 103*/ 
++0x72, /*i = 104*/ 
++0x0a, /*i = 105*/ 
++0x20, /*i = 106*/ 
++0x20, /*i = 107*/ 
++0x00, /*i = 108*/ 
++0x00, /*i = 109*/ 
++0x00, /*i = 110*/ 
++0xff, /*i = 111*/ 
++0x00, /*i = 112*/ 
++0x48, /*i = 113*/ 
++0x53, /*i = 114*/ 
++0x48, /*i = 115*/ 
++0x4c, /*i = 116*/ 
++0x38, /*i = 117*/ 
++0x31, /*i = 118*/ 
++0x36, /*i = 119*/ 
++0x35, /*i = 120*/ 
++0x30, /*i = 121*/ 
++0x38, /*i = 122*/ 
++0x0a, /*i = 123*/ 
++0x20, /*i = 124*/ 
++0x20, /*i = 125*/ 
++0x00, /*i = 126*/ 
++0xd5, /*i = 127*/ 
++};
++
+ static int dlfb_get_edid(struct dlfb_data *dev, char *edid, int len)
+ {
+ 	int i;
++	for (i = 0; i < len; i++)
++	{
++		edid[i] = syncmaster_940t_edid[i];
++	}
++/*
+ 	int ret;
+ 	char *rbuf;
+ 
+@@ -737,7 +873,7 @@ static int dlfb_get_edid(struct dlfb_data *dev, char *edid, int len)
+ 	}
+ 
+ 	kfree(rbuf);
+-
++*/
+ 	return i;
+ }
+ 

File udlfb/xf86-video-fbdev/PKGBUILD

+pkgname=xf86-video-fbdev-git
+pkgver=20110111
+pkgrel=1
+pkgdesc="X.org framebuffer video driver supporting DisplayLink USB graphics devices (git version)"
+arch=(i686 x86_64)
+url="http://cgit.freedesktop.org/xorg/driver/xf86-video-fbdev"
+url="http://git.plugable.com/gitphp/index.php?p=xf86-video-fbdev"
+license=('GPL2')
+depends=()
+conflicts=()
+provides=('xf86-video-fbdev')
+replaces=('xf86-video-fbdev')
+options=(!distcc)
+source=()
+md5sums=()
+
+_gitroot_plugable="http://git.plugable.com/webdav/xf86-video-fbdev"
+_gitname_plugable="xf86-video-fbdev-plugable"
+_gitroot="git://anongit.freedesktop.org/xorg/driver/xf86-video-fbdev"
+_gitname="xf86-video-fbdev"
+
+build() {
+
+  cd "$srcdir"
+  msg "Connecting to GIT server...."
+
+  if [ -d $_gitname_plugable ] ; then
+    cd $_gitname_plugable && git pull origin
+    msg "The local files are updated."
+  else
+    git clone $_gitroot_plugable $_gitname_plugable
+    cd $srcdir/$_gitname_plugable
+    git pull
+  fi
+
+  cd "$srcdir"
+  msg "Connecting to GIT server...."
+
+  if [ -d $_gitname ] ; then
+    cd $_gitname && git pull origin
+    msg "The local files are updated."
+  else
+    git clone $_gitroot
+    cd $srcdir/$_gitname
+    git pull
+  fi
+
+  msg "GIT checkout done or server timeout"
+  msg "Starting make..."
+
+  #rm -rf "$srcdir/$_gitname-build"
+  #git clone "$srcdir/$_gitname" "$srcdir/$_gitname-build"
+  #cd "$srcdir/$_gitname-build"
+
+  # merge the XDAMAGE patch from plugable
+  #git pull $srcdir/$_gitname_plugable
+
+  cd $srcdir/$_gitname-build
+  git reset --hard
+  ./autogen.sh --prefix=/usr || return 1
+  make || return 1
+  make DESTDIR=$pkgdir install || return 1
+}

File udlfb/xorg-server/10-quirks.conf

+# Collection of quirks and blacklist/whitelists for specific devices.
+
+
+# Accelerometer device, posts data through ABS_X/ABS_Y, making X unusable
+# http://bugs.freedesktop.org/show_bug.cgi?id=22442 
+Section "InputClass"
+        Identifier "ThinkPad HDAPS accelerometer blacklist"
+        MatchProduct "ThinkPad HDAPS accelerometer data"
+        Option "Ignore" "on"
+EndSection

File udlfb/xorg-server/PKGBUILD

+# $Id: PKGBUILD 97822 2010-11-01 22:35:02Z jgc $
+# Maintainer: Jan de Groot <jgc@archlinux.org>
+
+pkgbase=xorg-server
+pkgname=('xorg-server' 'xorg-server-xephyr' 'xorg-server-xdmx' 'xorg-server-xvfb' 'xorg-server-xnest' 'xorg-server-common' 'xorg-server-devel')
+pkgver=1.9.2
+pkgrel=2
+arch=('i686' 'x86_64')
+license=('custom')
+url="http://xorg.freedesktop.org"
+makedepends=('pixman' 'libx11' 'mesa' 'libgl' 'xf86driproto' 'xcmiscproto' 'xtrans' 'bigreqsproto' 'randrproto' 'inputproto' 'fontsproto' 'videoproto' 'compositeproto' 'recordproto' 'scrnsaverproto' 'resourceproto' 'xineramaproto' 'libxkbfile' 'libxfont' 'renderproto' 'libpciaccess' 'libxv' 'xf86dgaproto' 'libxmu' 'libxrender' 'libxi' 'dmxproto' 'libxaw' 'libdmx' 'libxtst' 'libxres')
+options=('!libtool')
+source=(${url}/releases/individual/xserver/${pkgbase}-${pkgver}.tar.bz2
+        xorg-redhat-die-ugly-pattern-die-die-die.patch
+        xvfb-run
+        xvfb-run.1
+        10-quirks.conf
+        fb_vs_pci_checks_gone.patch
+	qt-crashes-X.patch)
+md5sums=('5c8773499a6a8c1ddaedf33577ec9634'
+         '1a336eb22e27cbf443ec5a2ecddfa93c'
+         '52fd3effd80d7bc6c1660d4ecf23d31c'
+         '376c70308715cd2643f7bff936d9934b'
+         'd4f7dfc6be4ef4e2c6dd7632a9d88abe'
+         'c32bd4fccd76ecf3542ea539b3c16df1'
+	 'a85b8f5b4f4707cc34cde358ed21df94'
+	)
+
+build() {
+  cd "${srcdir}/${pkgbase}-${pkgver}"
+
+  # Get rid of the ugly pattern
+  patch -Np3 -i "${srcdir}/xorg-redhat-die-ugly-pattern-die-die-die.patch"
+
+  patch -Np1 -i "${srcdir}/fb_vs_pci_checks_gone.patch"
+  patch -Np1 -i "${srcdir}/qt-crashes-X.patch"
+
+  ./configure --prefix=/usr \
+      --enable-ipv6 \
+      --enable-dri \
+      --enable-dmx \
+      --enable-xvfb \
+      --enable-xnest \
+      --enable-composite \
+      --enable-xcsecurity \
+      --enable-xorg \
+      --enable-xephyr \
+      --enable-glx-tls \
+      --enable-kdrive \
+      --enable-install-setuid \
+      --enable-config-udev \
+      --disable-config-dbus \
+      --enable-record \
+      --disable-xfbdev \
+      --disable-xfake \
+      --disable-static \
+      --sysconfdir=/etc/X11 \
+      --localstatedir=/var \
+      --with-xkb-path=/usr/share/X11/xkb \
+      --with-xkb-output=/var/lib/xkb \
+      --with-dri-driver-path=/usr/lib/xorg/modules/dri \
+      --with-fontrootdir=/usr/share/fonts
+  make
+
+  sed -e 's/^DMX_SUBDIRS =.*/DMX_SUBDIRS =/' \
+      -e 's/^XVFB_SUBDIRS =.*/XVFB_SUBDIRS =/' \
+      -e 's/^XNEST_SUBDIRS =.*/XNEST_SUBDIRS = /' \
+      -e 's/^KDRIVE_SUBDIRS =.*/KDRIVE_SUBDIRS =/' \
+      -i hw/Makefile
+}
+
+package_xorg-server-common() {
+  pkgdesc="Xorg server common files"
+  depends=('xkeyboard-config' 'xorg-xkb-utils' 'xorg-fonts-misc')
+
+  cd "${srcdir}/${pkgbase}-${pkgver}"
+  install -m755 -d "${pkgdir}/usr/share/licenses/xorg-server-common"
+  install -m644 COPYING "${pkgdir}/usr/share/licenses/xorg-server-common"
+  
+  make -C xkb DESTDIR="${pkgdir}" install-data
+
+  install -m755 -d "${pkgdir}/usr/share/man/man1"
+  install -m644 doc/Xserver.1 "${pkgdir}/usr/share/man/man1/"
+
+  install -m755 -d "${pkgdir}/usr/lib/xorg"
+  install -m644 dix/protocol.txt "${pkgdir}/usr/lib/xorg/"
+}
+
+package_xorg-server() {
+  pkgdesc="Xorg X server"
+  depends=(libxdmcp libxfont udev libpciaccess libdrm pixman libgcrypt libxau xorg-server-common xf86-input-evdev)
+  backup=('etc/X11/xorg.conf.d/10-evdev.conf' 'etc/X11/xorg.conf.d/10-quirks.conf')
+  provides=('x-server')
+  groups=('xorg')
+
+  cd "${srcdir}/${pkgbase}-${pkgver}"
+  make DESTDIR="${pkgdir}" install
+
+  install -m755 -d "${pkgdir}/etc/X11"
+  mv "${pkgdir}/usr/share/X11/xorg.conf.d" "${pkgdir}/etc/X11/"
+  install -m644 "${srcdir}/10-quirks.conf" "${pkgdir}/etc/X11/xorg.conf.d/"
+
+  rmdir "${pkgdir}/usr/share/X11"
+
+  # Needed for non-mesa drivers, libgl will restore it
+  mv "${pkgdir}/usr/lib/xorg/modules/extensions/libglx.so" \
+     "${pkgdir}/usr/lib/xorg/modules/extensions/libglx.xorg"
+
+  rm -rf "${pkgdir}/var"
+
+  rm -f "${pkgdir}/usr/share/man/man1/Xserver.1"
+  rm -f "${pkgdir}/usr/lib/xorg/protocol.txt"
+
+  install -m755 -d "${pkgdir}/usr/share/licenses/xorg-server"
+  ln -sf ../xorg-server-common/COPYING "${pkgdir}/usr/share/licenses/xorg-server/COPYING"
+
+  rm -rf "${pkgdir}/usr/lib/pkgconfig"
+  rm -rf "${pkgdir}/usr/include"
+  rm -rf "${pkgdir}/usr/share/aclocal"
+}
+
+package_xorg-server-xephyr() {
+  pkgdesc="A nested X server that runs as an X application"
+  depends=(libxfont libgl libgcrypt libxv pixman xorg-server-common)
+
+  cd "${srcdir}/${pkgbase}-${pkgver}/hw/kdrive"
+  make DESTDIR="${pkgdir}" install
+
+  install -m755 -d "${pkgdir}/usr/share/licenses/xorg-server-xephyr"
+  ln -sf ../xorg-server-common/COPYING "${pkgdir}/usr/share/licenses/xorg-server-xephyr/COPYING"
+}
+
+package_xorg-server-xvfb() {
+  pkgdesc="Virtual framebuffer X server"
+  depends=(libxfont libxdmcp libxau libgcrypt pixman xorg-server-common)
+
+  cd "${srcdir}/${pkgbase}-${pkgver}/hw/vfb"
+  make DESTDIR="${pkgdir}" install
+
+  install -m755 "${srcdir}/xvfb-run" "${pkgdir}/usr/bin/"
+  install -m644 "${srcdir}/xvfb-run.1" "${pkgdir}/usr/share/man/man1/"
+
+  install -m755 -d "${pkgdir}/usr/share/licenses/xorg-server-xvfb"
+  ln -sf ../xorg-server-common/COPYING "${pkgdir}/usr/share/licenses/xorg-server-xvfb/COPYING"
+}
+
+package_xorg-server-xnest() {
+  pkgdesc="A nested X server that runs as an X application"
+  depends=(libxfont libxext libgcrypt pixman xorg-server-common)
+
+  cd "${srcdir}/${pkgbase}-${pkgver}/hw/xnest"
+  make DESTDIR="${pkgdir}" install
+
+  install -m755 -d "${pkgdir}/usr/share/licenses/xorg-server-xnest"
+  ln -sf ../xorg-server-common/COPYING "${pkgdir}/usr/share/licenses/xorg-server-xnest/COPYING"
+}
+
+package_xorg-server-xdmx() {
+  pkgdesc="Distributed Multihead X Server and utilities"
+  depends=(libxfont libxi libgcrypt libxaw libxrender libdmx libxfixes pixman xorg-server-common)
+
+  cd "${srcdir}/${pkgbase}-${pkgver}/hw/dmx"
+  make DESTDIR="${pkgdir}" install
+
+  install -m755 -d "${pkgdir}/usr/share/licenses/xorg-server-xdmx"
+  ln -sf ../xorg-server-common/COPYING "${pkgdir}/usr/share/licenses/xorg-server-xdmx/COPYING"
+}
+
+package_xorg-server-devel() {
+  pkgdesc="Development files for the X.Org X server"
+  depends=(xproto randrproto renderproto xextproto inputproto kbproto fontsproto videoproto dri2proto xineramaproto xorg-util-macros pixman libpciaccess)
+
+  cd "${srcdir}/${pkgbase}-${pkgver}"
+  make DESTDIR="${pkgdir}" install
+
+  rm -rf "${pkgdir}/usr/bin"
+  rm -rf "${pkgdir}/usr/share/man"
+  rm -rf "${pkgdir}/usr/share/doc"
+  rm -rf "${pkgdir}/usr/share/X11"
+  rm -rf "${pkgdir}/usr/lib/xorg"
+  rm -rf "${pkgdir}/var"
+
+  install -m755 -d "${pkgdir}/usr/share/licenses/xorg-server-devel"
+  ln -sf ../xorg-server-common/COPYING "${pkgdir}/usr/share/licenses/xorg-server-devel/COPYING"
+}

File udlfb/xorg-server/fb_vs_pci_checks_gone.patch

+diff -Naur xorg-server-1.9.2.orig/hw/xfree86/common/xf86Bus.c xorg-server-1.9.2/hw/xfree86/common/xf86Bus.c
+--- xorg-server-1.9.2.orig/hw/xfree86/common/xf86Bus.c	2010-06-11 08:10:22.000000000 +0200
++++ xorg-server-1.9.2/hw/xfree86/common/xf86Bus.c	2010-11-10 10:17:45.000000000 +0100
+@@ -533,6 +533,7 @@
+ {
+     int i;
+ 
++/*
+     if (fbSlotClaimed && (pciSlotClaimed
+ #if (defined(__sparc__) || defined(__sparc)) && !defined(__OpenBSD__)
+ 	    || sbusSlotClaimed
+@@ -540,7 +541,7 @@
+ 	    ))
+ 	    FatalError("Cannot run in framebuffer mode. Please specify busIDs "
+ 		       "       for all framebuffer devices\n");
+-
++*/
+     for (i = 0; i < xf86NumEntities; i++)
+         if (xf86Entities[i]->entityInit)
+ 	    xf86Entities[i]->entityInit(i,xf86Entities[i]->private);
+diff -Naur xorg-server-1.9.2.orig/hw/xfree86/common/xf86fbBus.c xorg-server-1.9.2/hw/xfree86/common/xf86fbBus.c
+--- xorg-server-1.9.2.orig/hw/xfree86/common/xf86fbBus.c	2009-09-28 03:57:00.000000000 +0200
++++ xorg-server-1.9.2/hw/xfree86/common/xf86fbBus.c	2010-11-10 10:18:04.000000000 +0100
+@@ -54,13 +54,14 @@
+     EntityPtr p;
+     int num;
+ 
++/*
+     if (pciSlotClaimed)
+ 	return -1;
+ #if defined(__sparc__) || defined (__sparc64__)
+     if (sbusSlotClaimed)
+ 	return -1;
+ #endif
+-    
++ */  
+     num = xf86AllocateEntity();
+     p = xf86Entities[num];
+     p->driver = drvp;

File udlfb/xorg-server/qt-crashes-X.patch

+diff --git a/Xext/panoramiXprocs.c b/Xext/panoramiXprocs.c
+index 67b4030..d843168 100644
+--- a/Xext/panoramiXprocs.c
++++ b/Xext/panoramiXprocs.c
+@@ -634,7 +634,7 @@ int PanoramiXTranslateCoords(ClientPtr client)
+     rep.dstX = x - pDst->drawable.x;
+     rep.dstY = y - pDst->drawable.y;
+     if((pDst == screenInfo.screens[0]->root) ||
+-       (pWin->drawable.id == screenInfo.screens[0]->screensaver.wid))
++       (pDst->drawable.id == screenInfo.screens[0]->screensaver.wid))
+     {
+ 	rep.dstX += screenInfo.screens[0]->x;
+ 	rep.dstY += screenInfo.screens[0]->y;
+

File udlfb/xorg-server/xorg-redhat-die-ugly-pattern-die-die-die.patch

+Remove the default root window grey stipple pattern, replacing it with
+blackness.
+
+--- xc/programs/Xserver/dix/window.c.die-ugly-pattern-die-die-die	Tue Feb 12 16:33:04 2002
++++ xc/programs/Xserver/dix/window.c	Tue Feb 12 16:45:32 2002
+@@ -119,8 +119,8 @@
+  *
+  ******/
+ 
+-static unsigned char _back_lsb[4] = {0x88, 0x22, 0x44, 0x11};
+-static unsigned char _back_msb[4] = {0x11, 0x44, 0x22, 0x88};
++static unsigned char _back_lsb[4] = {0x00, 0x00, 0x00, 0x00};
++static unsigned char _back_msb[4] = {0x00, 0x00, 0x00, 0x00};
+ 
+ int screenIsSaved = SCREEN_SAVER_OFF;
+ 

File udlfb/xorg-server/xvfb-run

+#!/bin/sh
+
+# $Id: xvfb-run 2027 2004-11-16 14:54:16Z branden $
+
+# This script starts an instance of Xvfb, the "fake" X server, runs a command
+# with that server available, and kills the X server when done.  The return
+# value of the command becomes the return value of this script.
+#
+# If anyone is using this to build a Debian package, make sure the package
+# Build-Depends on xvfb, xbase-clients, and xfonts-base.
+
+set -e
+
+PROGNAME=xvfb-run
+SERVERNUM=99
+AUTHFILE=
+ERRORFILE=/dev/null
+STARTWAIT=3
+XVFBARGS="-screen 0 640x480x8"
+LISTENTCP="-nolisten tcp"
+XAUTHPROTO=.
+
+# Query the terminal to establish a default number of columns to use for
+# displaying messages to the user.  This is used only as a fallback in the event
+# the COLUMNS variable is not set.  ($COLUMNS can react to SIGWINCH while the
+# script is running, and this cannot, only being calculated once.)
+DEFCOLUMNS=$(stty size 2>/dev/null | awk '{print $2}') || true
+if ! expr "$DEFCOLUMNS" : "[[:digit:]]\+$" >/dev/null 2>&1; then
+    DEFCOLUMNS=80
+fi
+
+# Display a message, wrapping lines at the terminal width.
+message () {
+    echo "$PROGNAME: $*" | fmt -t -w ${COLUMNS:-$DEFCOLUMNS}
+}
+
+# Display an error message.
+error () {
+    message "error: $*" >&2
+}
+
+# Display a usage message.
+usage () {
+    if [ -n "$*" ]; then
+        message "usage error: $*"
+    fi
+    cat <<EOF
+Usage: $PROGNAME [OPTION ...] COMMAND
+Run COMMAND (usually an X client) in a virtual X server environment.
+Options:
+-a        --auto-servernum          try to get a free server number, starting at
+                                    --server-num
+-e FILE   --error-file=FILE         file used to store xauth errors and Xvfb
+                                    output (default: $ERRORFILE)
+-f FILE   --auth-file=FILE          file used to store auth cookie
+                                    (default: ./.Xauthority)
+-h        --help                    display this usage message and exit
+-n NUM    --server-num=NUM          server number to use (default: $SERVERNUM)
+-l        --listen-tcp              enable TCP port listening in the X server
+-p PROTO  --xauth-protocol=PROTO    X authority protocol name to use
+                                    (default: xauth command's default)
+-s ARGS   --server-args=ARGS        arguments (other than server number and
+                                    "-nolisten tcp") to pass to the Xvfb server
+                                    (default: "$XVFBARGS")
+-w DELAY  --wait=DELAY              delay in seconds to wait for Xvfb to start
+                                    before running COMMAND (default: $STARTWAIT)
+EOF
+}
+
+# Find a free server number by looking at .X*-lock files in /tmp.
+find_free_servernum() {
+    # Sadly, the "local" keyword is not POSIX.  Leave the next line commented in
+    # the hope Debian Policy eventually changes to allow it in /bin/sh scripts
+    # anyway.
+    #local i
+
+    i=$SERVERNUM
+    while [ -f /tmp/.X$i-lock ]; do
+        i=$(($i + 1))
+    done
+    echo $i
+}
+
+# Clean up files
+clean_up() {
+    if [ -e "$AUTHFILE" ]; then
+        XAUTHORITY=$AUTHFILE xauth remove ":$SERVERNUM" >>"$ERRORFILE" 2>&1
+    fi
+    if [ -n "$XVFB_RUN_TMPDIR" ]; then
+        if ! rm -r "$XVFB_RUN_TMPDIR"; then
+            error "problem while cleaning up temporary directory"
+            exit 5
+        fi
+    fi
+}
+
+# Parse the command line.
+ARGS=$(getopt --options +ae:f:hn:lp:s:w: \
+       --long auto-servernum,error-file:,auth-file:,help,server-num:,listen-tcp,xauth-protocol:,server-args:,wait: \
+       --name "$PROGNAME" -- "$@")
+GETOPT_STATUS=$?
+
+if [ $GETOPT_STATUS -ne 0 ]; then
+    error "internal error; getopt exited with status $GETOPT_STATUS"
+    exit 6
+fi
+
+eval set -- "$ARGS"
+
+while :; do
+    case "$1" in
+        -a|--auto-servernum) SERVERNUM=$(find_free_servernum) ;;
+        -e|--error-file) ERRORFILE="$2"; shift ;;
+        -f|--auth-file) AUTHFILE="$2"; shift ;;
+        -h|--help) SHOWHELP="yes" ;;
+        -n|--server-num) SERVERNUM="$2"; shift ;;
+        -l|--listen-tcp) LISTENTCP="" ;;
+        -p|--xauth-protocol) XAUTHPROTO="$2"; shift ;;
+        -s|--server-args) XVFBARGS="$2"; shift ;;
+        -w|--wait) STARTWAIT="$2"; shift ;;
+        --) shift; break ;;
+        *) error "internal error; getopt permitted \"$1\" unexpectedly"
+           exit 6
+           ;;
+    esac
+    shift
+done
+
+if [ "$SHOWHELP" ]; then
+    usage
+    exit 0
+fi
+
+if [ -z "$*" ]; then
+    usage "need a command to run" >&2
+    exit 2
+fi
+
+if ! which xauth >/dev/null; then
+    error "xauth command not found"
+    exit 3
+fi
+
+# tidy up after ourselves
+trap clean_up EXIT
+
+# If the user did not specify an X authorization file to use, set up a temporary
+# directory to house one.
+if [ -z "$AUTHFILE" ]; then
+    XVFB_RUN_TMPDIR="$(mktemp -d -t $PROGNAME.XXXXXX)"
+    AUTHFILE="$XVFB_RUN_TMPDIR/Xauthority"
+fi
+
+# Start Xvfb.
+MCOOKIE=$(mcookie)
+XAUTHORITY=$AUTHFILE xauth source - << EOF >>"$ERRORFILE" 2>&1
+add :$SERVERNUM $XAUTHPROTO $MCOOKIE
+EOF
+XAUTHORITY=$AUTHFILE Xvfb ":$SERVERNUM" $XVFBARGS $LISTENTCP >>"$ERRORFILE" \
+  2>&1 &
+XVFBPID=$!
+sleep "$STARTWAIT"
+if ! kill -0 $XVFBPID 2>/dev/null; then
+  echo "Xvfb failed to start" >&2
+  exit 1
+fi
+
+# Start the command and save its exit status.
+set +e
+DISPLAY=:$SERVERNUM XAUTHORITY=$AUTHFILE "$@" 2>&1
+RETVAL=$?
+set -e
+
+# Kill Xvfb now that the command has exited.
+kill $XVFBPID
+
+# Return the executed command's exit status.
+exit $RETVAL
+
+# vim:set ai et sts=4 sw=4 tw=80:

File udlfb/xorg-server/xvfb-run.1

+.\" $Id: xvfb-run.1 2138 2005-01-17 23:40:27Z branden $
+.\"
+.\" Copyright 1998-2004 Branden Robinson <branden@debian.org>.
+.\"
+.\" This is free software; you may redistribute it and/or modify
+.\" it under the terms of the GNU General Public License as
+.\" published by the Free Software Foundation; either version 2,
+.\" or (at your option) any later version.
+.\"
+.\" This is distributed in the hope that it will be useful, but
+.\" WITHOUT ANY WARRANTY; without even the implied warranty of
+.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+.\" GNU General Public License for more details.
+.\"
+.\" You should have received a copy of the GNU General Public License with
+.\" the Debian operating system, in /usr/share/common-licenses/GPL;  if
+.\" not, write to the Free Software Foundation, Inc., 59 Temple Place,
+.\" Suite 330, Boston, MA 02111-1307 USA
+.\"
+.\" We need the URL macro from groff's www macro package, but also want
+.\" things to work all right for people who don't have it.  So we define
+.\" our own URL macro and let the www macro package override it if it's
+.\" available.
+.de URL
+\\$2 \(laURL: \\$1 \(ra\\$3
+..
+.if \n[.g] .mso www.tmac
+.TH xvfb\-run 1 "2004\-11\-12" "Debian Project"
+.SH NAME
+xvfb\-run \- run specified X client or command in a virtual X server environment
+.SH SYNOPSIS
+.B xvfb\-run
+[
+.I options
+]
+.I command
+.SH DESCRIPTION
+.B xvfb\-run
+is a wrapper for the
+.BR Xvfb (1x)
+command which simplifies the task of running commands (typically an X
+client, or a script containing a list of clients to be run) within a virtual
+X server environment.
+.PP
+.B xvfb\-run
+sets up an X authority file (or uses an existing user\-specified one),
+writes a cookie to it (see
+.BR xauth (1x))
+and then starts the
+.B Xvfb
+X server as a background process.
+The process ID of
+.B Xvfb
+is stored for later use.
+The specified
+.I command
+is then run using the X display corresponding to the
+.B Xvfb
+server
+just started and the X authority file created earlier.
+.PP
+When the
+.I command
+exits, its status is saved, the
+.B Xvfb
+server is killed (using the process ID stored earlier), the X authority
+cookie removed, and the authority file deleted (if the user did not specify
+one to use).
+.B xvfb\-run
+then exits with the exit status of
+.IR command .
+.PP
+.B xvfb\-run
+requires the
+.B xauth
+command to function.
+.SH OPTIONS
+.TP
+.B \-a\fR,\fB \-\-auto\-servernum
+Try to get a free server number, starting at 99, or the argument to
+.BR \-\-server\-num .
+.TP
+.BI \-e\  file \fR,\fB\ \-\-error\-file= file
+Store output from
+.B xauth
+and
+.B Xvfb
+in
+.IR file .
+The default is
+.IR /dev/null .
+.TP
+.BI \-f\  file \fR,\fB\ \-\-auth\-file= file
+Store X authentication data in
+.IR file .
+By default, a temporary directory called
+.IR xvfb\-run. PID
+(where PID is the process ID of
+.B xvfb\-run
+itself) is created in the directory specified by the environment variable
+.B TMPDIR
+(or
+.I /tmp
+if that variable is null or unset), and the
+.BR tempfile (1)
+command is used to create a file in that temporary directory called
+.IR Xauthority .
+.TP
+.B \-h\fR,\fB \-\-help
+Display a usage message and exit.
+.TP
+.BI \-n\  servernumber \fR,\fB\ \-\-server\-num= servernumber
+Use
+.I servernumber
+as the server number (but see the
+.B \-a\fR,\fB \-\-auto\-servernum
+option above).
+The default is 99.
+.TP
+.B \-l\fR,\fB \-\-listen\-tcp
+Enable TCP port listening in the X server.
+For security reasons (to avoid denial\-of\-service attacks or exploits),
+TCP port listening is disabled by default.
+.TP
+.BI \-p\  protocolname \fR,\fB\ \-\-xauth\-protocol= protocolname
+Use
+.I protocolname
+as the X authority protocol to use.
+The default is \(oq.\(cq, which
+.B xauth
+interprets as its own default protocol, which is MIT\-MAGIC\-COOKIE\-1.
+.TP
+.BI \-s\  arguments \fR,\fB\ \-\-server\-args= arguments
+Pass
+.I arguments
+to the
+.B Xvfb
+server.
+Be careful to quote any whitespace characters that may occur within
+.I arguments
+to prevent them from regarded as separators for
+.BR xvfb\-run 's
+own arguments.
+Also, note that specification of \(oq\-nolisten tcp\(cq in
+.I arguments
+may override the function of
+.BR xvfb\-run 's
+own
+.B \-l\fR,\fB \-\-listen\-tcp
+option, and that specification of the server number (e.g., \(oq:1\(cq) may
+be ignored because of the way the X server parses its argument list.
+Use the
+.B xvfb\-run
+option
+.BI \-n\  servernumber \fR,\fB\ \-\-server\-num= servernumber
+to achieve the latter function.
+The default is \(oq\-screen 0 640x480x8\(cq.
+.TP
+.BI \-w\  delay \fR,\fB\ \-\-wait= delay
+Wait
+.I delay
+seconds after launching
+.B Xvfb
+before attempting to start the specified command.
+The default is 3.
+.SH ENVIRONMENT
+.TP
+.B COLUMNS
+indicates the width of the terminal device in character cells.
+This value is used for formatting diagnostic messages.
+If not set, the terminal is queried using
+.BR stty (1)
+to determine its width.
+If that fails, a value of \(oq80\(cq is assumed.
+.TP
+.B TMPDIR
+specifies the directory in which to place
+.BR xvfb\-run 's
+temporary directory for storage of the X authority file; only used if the
+.B \-f
+or
+.B \-\-auth\-file
+options are not specified.
+.SH "OUTPUT FILES"
+.PP
+Unless the
+.B \-f
+or
+.B \-\-auth\-file
+options are specified, a temporary
+directory and file within it are created (and deleted) to store the X
+authority cookies used by the
+.B Xvfb
+server and client(s) run under it.
+See
+.BR tempfile (1).
+If \-f or \-\-auth\-file are used, then the specified X authority file is
+only written to, not created or deleted (though
+.B xauth
+creates an authority file itself if told to use use that does not already
+exist).
+.PP
+An error file with a user\-specified name is also created if the
+.B \-e
+or
+.B \-\-error\-file
+options are specifed; see above.
+.SH "EXIT STATUS"
+.B xvfb\-run
+uses its exit status as well as output to standard error to communicate
+diagnostics.
+The exit status of \(oq1\(cq is not used, and should be interpreted as failure
+of the specified command.
+.TP
+0
+.B xvfb\-run
+only uses this exit status if the
+.B \-h\fR,\fB \-\-help
+option is given.
+In all other situations, this may be interpreted as success of the specified
+command.
+.TP
+2
+No command to run was specified.
+.TP
+3
+The
+.B xauth
+command is not available.
+.TP
+4
+The temporary directory that was going to be used already exists; since
+.B xvfb\-run
+produces a uniquely named directory, this may indicate an attempt by another
+process on the system to exploit a temporary file race condition.
+.TP
+5
+A problem was encountered while cleaning up the temporary directory.
+.TP
+6
+A problem was encountered while using
+.BR getopt (1)
+to parse the command\-line arguments.
+.SH EXAMPLES
+.TP
+.B xvfb\-run \-\-auto\-servernum \-\-server\-num=1 xlogo
+runs the
+.BR xlogo (1x)
+demonstration client inside the
+.B Xvfb
+X server on the first available server number greater than or equal to 1.
+.TP
+.B xvfb\-run \-\-server\-args="\-screen 0 1024x768x24" ico \-faces
+runs the
+.BR ico (1x)
+demonstration client (and passes it the
+.B \-faces
+argument) inside the
+.B Xvfb
+X server, configured with a root window of 1024 by 768 pixels and a color
+depth of 24 bits.
+.PP
+Note that the demo X clients used in the above examples will not exit on
+their own, so they will have to be killed before
+.B xvfb\-run
+will exit.
+.SH BUGS
+See
+.URL "http://bugs.debian.org/xvfb" "the Debian Bug Tracking System" .
+If you wish to report a bug in
+.BR xvfb\-run ,
+please use the 
+.BR reportbug (1)
+command.
+.SH AUTHOR
+.B xfvb\-run
+was written by Branden Robinson and Jeff Licquia with sponsorship from
+Progeny Linux Systems.
+.SH "SEE ALSO"
+.BR Xvfb (1x),
+.BR xauth (1x)
+.\" vim:set et tw=80: